Anonymous Login
2018-12-15 13:46 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001808OpenClonkScenariospublic2018-01-13 17:36
Reporterala 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Versiongit master 
Summary0001808: Fight for the Gidl: Dynamite Fuse disappears after switch
DescriptionBuy Dynamite, lay dynamite. Now if you want to wait with the fuse you have to switch your inventory at some point. But if you do, you cannot change back to the fuse.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005254

ala (developer)

I think this is related to the bug with more items than inventory space that was mentioned earlier by me. The dynamite gets removed - the inventory is full, so another item (weapon) gets displayed. And the fuse is not added at the appropriate place.

~0005255

Clonkonaut (developer)

Last edited: 2016-08-17 13:00

View 2 revisions

This is most likely not related to the other bug since the Homebase buy script takes care of inventory space.
The problem is that the igniter / dynamite box is removed when switching items, like all other things. Your screenshot makes it very plain because no fuse is connected to the clonk (box) anymore.

Actually, the problem is not that trivial to solve. You'd have to temporarily buffer the box's status.

~0005913

Maikel (developer)

The easiest would be to have a different weapon from the dynamite box. The box really is not compatible with the buy menu system. Any objections to that? Sven2? Clonkonaut?

~0005914

Clonkonaut (developer)

Whatever solves the problem is fine with me.

~0006055

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/d2a8f2503c257f9b9d4130d5f8d4d687ab44d0e9

Changeset d2a8f25 by Maikel de Vries <mdt.maikel@gmail.com>
GILD: replace dynamite box with lantern (0001808)

~0006056

Maikel (developer)

I choose the lantern, because it is most different from the existing weapons. We can change if if play testing suggests other better alternatives.
+Notes

-Issue History
Date Modified Username Field Change
2016-08-15 19:57 ala New Issue
2016-08-15 19:59 ala Summary Fight for the Gidl: Inventory disappears after switch => Fight for the Gidl: Dynamite Fuse disappears after switch
2016-08-15 19:59 ala File Added: Screenshot044.png
2016-08-17 11:33 ala Relationship added related to 0001803
2016-08-17 11:35 ala Note Added: 0005254
2016-08-17 13:00 Clonkonaut Note Added: 0005255
2016-08-17 13:00 Clonkonaut Relationship deleted related to 0001803
2016-08-17 13:00 Clonkonaut Note Edited: 0005255 View Revisions
2017-08-05 13:58 Maikel Target Version => 8.0
2017-11-26 21:58 Maikel Note Added: 0005913
2017-11-26 22:49 Clonkonaut Note Added: 0005914
2017-11-27 18:41 Maikel Assigned To => Sven2
2017-11-27 18:41 Maikel Status new => feedback
2018-01-13 17:35 occ Note Added: 0006055
2018-01-13 17:36 Maikel Note Added: 0006056
2018-01-13 17:36 Maikel Assigned To Sven2 => Maikel
2018-01-13 17:36 Maikel Status feedback => resolved
2018-01-13 17:36 Maikel Resolution open => fixed
2018-01-13 17:36 Maikel Fixed in Version => git master
+Issue History